import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Instructions extends World
{
    //Class Constants

    
    
    //Class Variables


    private GreenfootImage background;

    private Text text;
    
    private Button moveOn; 
    public Instructions()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1080, 720, 1); 
        
        background = Instructions.drawSpace(800,400,40);
        setBackground(background);
        
        text = new Text ("How to Play:    \n When the balls appear on the screen click them \n and accumalate as much score as possible before time runs out!", 30);
        
        addObject(text,  900, 300);
        
        moveOn = new Button ("Ok");
        addObject(moveOn, 1000, 680);

    }
    

    
    public void act(){

        mouseClicked();

    }
    
    private void mouseClicked(){
        if (Greenfoot.mouseClicked(moveOn)){
            Greenfoot.setWorld(new ModeMenu());
        }   
    }
    

    
    

    
    public static GreenfootImage drawSpace (int width, int height, int density){

            GreenfootImage temp = new GreenfootImage (width, height);
        temp.setColor (Color.CYAN);
        temp.fill();
        
        return temp;
    }
}
