
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Summary extends World
{
    private GreenfootImage background;
    private Score score;
    private Text text;
    
    private Button mainmenu;
    private Button modemenu;
    /**
     * Constructor for objects of class Summary.
     * 
     */
    public Summary()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1080, 720, 1); 
        background = GridShot.drawSpace(800, 400, 40);
        setBackground(background);
        
        score = new Score(); 
        addObject(score, 260, 360);
        
        text = new Text("Thank you for Playing!", 60);
        addObject(text, 540,250);
        
        mainmenu = new Button ("Exit");
        addObject(mainmenu, 1000, 680);
        
        modemenu = new Button ("Main Menu");
        addObject(modemenu, 80, 680);
    }
    
    public void act(){
        checkMouse();
    }
    
    public Score getScoreCounter() {
        return score; // this is the field that you created so if you change your classes to capital don't change this
    }
    
    private void checkMouse(){
        if (Greenfoot.mouseClicked(mainmenu)){
            Greenfoot.setWorld(new MainMenu());
        }
        if (Greenfoot.mouseClicked(modemenu)){
            Greenfoot.setWorld(new ModeMenu());
        }
    }
    
    public static GreenfootImage drawSpace (int width, int height, int density){

        GreenfootImage temp = new GreenfootImage (width, height);
        temp.setColor (Color.CYAN);
        temp.fill();
        
        return temp;
    }
}
